﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace CodingGrid
{
    public partial class Form1 : Form
    {
        UltraGrid tempUltraGrid;
        DataTable table;
        DataSet dsgridSource;

        public Form1()
        {
            InitializeComponent();
            this.StartPosition = FormStartPosition.CenterScreen;
            this.BackColor = Color.Tan;
            this.Text = "Grid from Code";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tempUltraGrid = new UltraGrid();
            tempUltraGrid.Size = new System.Drawing.Size(550, 192);
            tempUltraGrid.Location = new System.Drawing.Point(13, 22);
            table = new DataTable("Table");
            dsgridSource = new DataSet();

            DataColumn ApplicationInfo = new DataColumn("ApplicationInfo", typeof(string));
            DataColumn ApplicationName = new DataColumn("ApplicationName", typeof(string));
            DataColumn Description = new DataColumn("Description", typeof(string));
            DataColumn Version = new DataColumn("Version", typeof(string));
            DataColumn Type = new DataColumn("Type", typeof(string));
            DataColumn FileName = new DataColumn("FileName", typeof(string));
            DataColumn Default = new DataColumn("Default", typeof(string));

            table.Columns.AddRange(new DataColumn[] { ApplicationInfo, ApplicationName, Description, Version, Type, FileName, Default });
            dsgridSource.Tables.Add(table);
            dsgridSource.Tables[0].Rows.Add(new object[] { "ApplicationInfo", "ApplicationName1", "Description1", "Version1", "Type1", "FileName1", "Default1" });
            tempUltraGrid.DataMember = "Table";
            tempUltraGrid.DataSource = dsgridSource;

            this.Controls.Add(tempUltraGrid);
            tempUltraGrid.DisplayLayout.Rows[0].Selected = true;
        }
    }
}
